Próxima fatura do projeto
curl --request POST \
--url https://api.truthlocks.com/v1/billing/projected-invoice \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: '<string>',
mints: 500000000,
plan_key: '<string>',
verifications: 500000000
})
};
fetch('https://api.truthlocks.com/v1/billing/projected-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/projected-invoice"
payload = {
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/projected-invoice"
payload := strings.NewReader("{\n \"country_code\": \"<string>\",\n \"mints\": 500000000,\n \"plan_key\": \"<string>\",\n \"verifications\": 500000000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 123,
"subtotal": 123,
"amount_unit": "cents",
"billing_model": "pay_per_use",
"volume_pricing": "graduated",
"estimate_only": true,
"currency": "<string>",
"line_items": [
{}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Faturamento
Fatura projetada
Calcule um detalhamento de fatura projetado com base nos volumes esperados de cunhagem e verificação.
POST
/
v1
/
billing
/
projected-invoice
Próxima fatura do projeto
curl --request POST \
--url https://api.truthlocks.com/v1/billing/projected-invoice \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_code: '<string>',
mints: 500000000,
plan_key: '<string>',
verifications: 500000000
})
};
fetch('https://api.truthlocks.com/v1/billing/projected-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/projected-invoice"
payload = {
"country_code": "<string>",
"mints": 500000000,
"plan_key": "<string>",
"verifications": 500000000
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/projected-invoice"
payload := strings.NewReader("{\n \"country_code\": \"<string>\",\n \"mints\": 500000000,\n \"plan_key\": \"<string>\",\n \"verifications\": 500000000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 123,
"subtotal": 123,
"amount_unit": "cents",
"billing_model": "pay_per_use",
"volume_pricing": "graduated",
"estimate_only": true,
"currency": "<string>",
"line_items": [
{}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}POST /v1/billing/projected-invoice
country_code. Este endpoint usa a tabela de preços padrão, não um acordo negociado do locatário. Forneça quantidades faturáveis esperadas; esta calculadora não deduz subsídios gratuitos nem classifica a atividade de sandbox.
O preço por volume é graduado. Cada faixa precifica apenas as operações nessa faixa. A resposta identifica billing_model: "pay_per_use", volume_pricing: "graduated", amount_unit: "cents" e estimate_only: true. Uma estimativa não cria ou cobra uma fatura. Definições de taxa ausentes, sobrepostas ou incompletas retornam 422 invalid_pricing; quantidades inseguras e planos desconhecidos retornam 400 bad_request.
Os preços exatos aplicados estão em line_items. Os campos escalares de conveniência rates_used são mantidos para compatibilidade com tabelas de preços fixos; eles não são um preço combinado e não devem ser multiplicados em faixas de volume.
Resposta
Todos os valores estão em centavos. Divida por 100 para converter para dólares. Multiplicadores regionais são aplicados automaticamente quando você inclui um
country_code.Corpo
application/json

